LTX Video-0.9.7 13B Distilled · Multiconditioning
Integruoti
ltx-video-13b-distilled/multiconditioning
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/ltx-video-13b-distilled/multiconditioning?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-video-13b-distilled/multiconditioning?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-video-13b-distilled/multiconditioning", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/lt/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ltx-video-13b-distilled/multiconditioning",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Iškvieskite LTX Video-0.9.7 13B Distilled · Multiconditioning modelį (ltx-video-13b-distilled/multiconditioning) per Doitong API. Dokumentacija agentams: https://doitong.com/lt/developers/models/ltx-video-13b-distilled/multiconditioning.md
POST https://vit.doitong.com/api/v1/run/ltx-video-13b-distilled/multiconditioning?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Jei atsakymo būsena yra "queued" arba "running", siųskite GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 užklausas, kol būsena taps "succeeded"; failai pateikiami outputs[].url. POST https://vit.doitong.com/api/v1/quote/ltx-video-13b-distilled/multiconditioning su tuo pačiu turiniu grąžina tikslią kainą prieš paleidimą.
Failai kaip pavyzdyje: 0,202 $ 202 API kreditai jūsų failai išmatuojami prieš paleidimą Paleisti šiame puslapyje
Jūsų naujas API raktas. Jis rodomas tik dabar ir jau įrašytas kode bei toliau esančiame API rakto lauke. Saugokite jį paslaptyje: niekada nedėkite jo į kodą, kuris vykdomas naršyklėje.
Čia bus pirmasis jūsų rezultatas
Sukurkite užklausą toliau ir paleiskite ją naudodami savo API raktą. Išvestys nukopijuojamos į mūsų saugyklą ir saugomos neribotą laiką arba 7 dienos nemokamai.
Sukurti užklausą
Valdikliai sugeneruojami pagal modelio schemą. Keisdami juos atnaujinsite kodą ir kainą.
/run/ltx-video-13b-distilled/multiconditioning?wait=20
kaina → 0,202 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/ltx-video-13b-distilled/multiconditioning?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-video-13b-distilled/multiconditioning?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-video-13b-distilled/multiconditioning", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ltx-video-13b-distilled/multiconditioning",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Vykdyti šią užklausą
Jūsų raktas lieka šioje naršyklėje: jis siunčiamas tik į Doitong API ir išsaugomas (localStorage) tik pažymėjus Prisiminti. Gauti API raktą
Apie LTX Video-0.9.7 13B Distilled · Multiconditioning
Generuoja vaizdo įrašą iš privalomo `prompt`, naudodamas `images` ir `videos` pateiktus sąlyginius duomenis. Pasirinktines LoRA galima perduoti per `loras`. Išvestis yra 480p arba 720p, `num_frames` – nuo 9 iki 1441, o `frame_rate` – nuo 1 iki 60. Atskirai nustatomi pirmojo ir antrojo etapų žingsniai; rezultatą galima derinti naudojant pasirinktinį detalių etapą ir spalvų valdiklius, pvz., `temporal_adain_factor`.
Parametrai
promptprivaloma
negative_promptneprivalomas
lorasneprivalomas
loras[].pathprivaloma
loras[].weight_nameneprivalomas
loras[].scaleneprivalomas
resolutionneprivalomas
aspect_rationeprivalomas
seedneprivalomas
num_framesneprivalomas
first_pass_num_inference_stepsneprivalomas
second_pass_num_inference_stepsneprivalomas
second_pass_skip_initial_stepsneprivalomas
frame_rateneprivalomas
expand_promptneprivalomas
reverse_videoneprivalomas
enable_safety_checkerneprivalomas
enable_detail_passneprivalomas
temporal_adain_factorneprivalomas
tone_map_compression_rationeprivalomas
constant_rate_factorneprivalomas
imagesneprivalomas
images[].image_urlprivaloma
images[].start_frame_numneprivalomas
images[].strengthneprivalomas
videosneprivalomas
videos[].video_urlprivaloma
videos[].conditioning_typeneprivalomas
videos[].preprocessneprivalomas
videos[].start_frame_numneprivalomas
videos[].strengthneprivalomas
videos[].limit_num_framesneprivalomas
videos[].max_num_framesneprivalomas
videos[].resample_fpsneprivalomas
videos[].target_fpsneprivalomas
videos[].reverse_videoneprivalomas
Išvestis
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ltx-video-13b-distilled/multiconditioning",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 202,
"usd": "0.202",
"charged": 202,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"prompt": "A vibrant, abstract composition featuring a person with outstretched arms, rendered in a kaleidoscope of colors against a deep, dark background. The figure is composed of intricate, swirling patterns reminiscent of a mosaic, with hues of orange, yellow, blue, and green that evoke the style of artists such as Wassily Kandinsky or Bridget Riley. The camera zooms into the face striking portrait of a man, reimagined through the lens of old-school video-game graphics. The subject's face is rendered in a kaleidoscope of colors, with bold blues and reds set against a vibrant yellow backdrop. His dark hair is pulled back, framing his profile in a dramatic pose.",
"seed": 42
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Išvesties laukai
- video
- object {url, content_type, file_name, file_size}Generuojant sukurtas vaizdo įrašo failas.
- prompt
- stringRaginys, naudotas išvesčiai generuoti.
- seed
- integerGeneruojant taikoma pradinė reikšmė.
Kiti LTX Video-0.9.7 13B Distilled variantai
Daugiau modelių: Vaizdo įrašas į vaizdo įrašą
AI agentams: šis puslapis Markdown formatu pateikiamas adresu https://doitong.com/lt/developers/models/ltx-video-13b-distilled/multiconditioning.md. Visi modeliai ir vadovai: https://doitong.com/developers/llms.txt